#### 1.cmd命令行，go命令突然无法运行，提示【“go”不是内部或外部命令...】
```
原因分析：环境变量配置可能有问题。经过实际检查，发现系统环境变量未发生变化。最终，发现Windows8系统有两个设置环境变量的地方，一个是当前用户的环境变量，
一个是系统的环境变量。发生问题之前，当前用户的环境变量里面不存在path变量，go的访问路径是定义在系统的环境变量path中。排查发现，在安装vscode时，vscode程
序改写了系统的环境变量，在当前用户的环境变量中添加了path变量，但该path变量中不存在go.exe的访问路径。而系统的默认用户就是当前用户，所以使用当前用户访问
path变量时，就使用的是当前用户的环境变量中的path变量，而不是系统环境变量中的path变量了，所以导致上述问题的出现。
解决方法：删除当前用户的环境变量中的path变量，或者在当前用户的环境变量中的path变量里面添加go.exe的访问路径即可。
```

#### 2.自增操作(++)与自减操作(--)在Go语言中是单独的语句，不是运算符，不能出现在赋值语句中
```
a++
a--
b = a++（错误）
```