#### 1.fmt包
```
go中使用工具包，依旧使用的是import关键字：import "fmt"
go中的fmt包相当于java中的lang包，不过它不会默认导入。
```

#### 2.Printf函数对齐文本
```
在格式化动词里指定宽度，就可以对齐文本：例如 %4v 表示将目标字符串向左填充直到4个(字符)宽度。
正数：向左填充空格
负数：向右填充空格
例：fmt.Printf("%-8v @%5v", "tony", 3896)
输出：tony**** @*3896 (为了对比，此处使用*表示空格)
```

#### 3.rand包
```
使用 import "math/rand"
使用rand包可以生成随机数。
Intn: 返回指定范围内的一个随机整数。
例：rand.Intn(10), 返回[0,10)内的一个随机整数。
```

#### 4.strings包
```
使用 import "strings"
Contains: 判断一个字符串是否包含目标字符串。
```

#### 5.go代码文件中不能导入包而不使用
```
出现此种情况，go文件编译时会报错。
```

#### 6.go代码的运行
```
方式一
1.使用【go build】首先对源代码进行编译，如: go build hello.go,此时会生成hello.exe文件；
2.直接运行hello.exe文件。
方式二
使用【go run】直接运行源码文件，如：go run hello.go。
```